Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.util.ssl
Class SSLUtil

    java.lang.Object
      org.jboss.soa.esb.util.ssl.SSLUtil

    public abstract class SSLUtil

extends java.lang.Object

SSL utility functions.

Author:
  tom.fennelly@jboss.com

Constructor Summary
`SSLUtil()`

Method Summary
`static javax.net.ssl.KeyManager[]` | `getKeyManagers(java.security.KeyStore keystore, java.lang.String password)`
`static javax.net.ssl.TrustManager[]` | `getTrustManagers(java.security.KeyStore keystore)`
`static java.security.KeyStore` | `loadKeyStore(java.io.InputStream keystoreStream, java.lang.String keystoreType, java.lang.String password)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSLUtil

    public SSLUtil()

Method Detail

### getKeyManagers

    public static javax.net.ssl.KeyManager[] getKeyManagers(java.security.KeyStore keystore,
                                                            java.lang.String password)
                                                     throws java.security.NoSuchAlgorithmException,
                                                            java.security.KeyStoreException,
                                                            java.security.UnrecoverableKeyException

  Throws:
    `java.security.NoSuchAlgorithmException`
    `java.security.KeyStoreException`
    `java.security.UnrecoverableKeyException`

### getTrustManagers

    public static javax.net.ssl.TrustManager[] getTrustManagers(java.security.KeyStore keystore)
                                                         throws java.security.NoSuchAlgorithmException,
                                                                java.security.KeyStoreException

  Throws:
    `java.security.NoSuchAlgorithmException`
    `java.security.KeyStoreException`

### loadKeyStore

    public static java.security.KeyStore loadKeyStore(java.io.InputStream keystoreStream,
                                                      java.lang.String keystoreType,
                                                      java.lang.String password)
                                               throws java.security.KeyStoreException,
                                                      java.io.IOException,
                                                      java.security.NoSuchAlgorithmException,
                                                      java.security.cert.CertificateException

  Throws:
    `java.security.KeyStoreException`
    `java.io.IOException`
    `java.security.NoSuchAlgorithmException`
    `java.security.cert.CertificateException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD